org.apache.el.stream

## Class StreamELResolverImpl

- java.lang.Object
- - javax.el.ELResolver
  - - org.apache.el.stream.StreamELResolverImpl

-     public class StreamELResolverImpl
      extends ELResolver

- - ### Field Summary

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamELResolverImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getCommonPropertyType(ELContext context, Object base)`
    `Iterator<FeatureDescriptor>` | `getFeatureDescriptors(ELContext context, Object base)`
    `Class<?>` | `getType(ELContext context, Object base, Object property)`
    `Object` | `getValue(ELContext context, Object base, Object property)`
    `Object` | `invoke(ELContext context, Object base, Object method, Class<?>[] paramTypes, Object[] params)` Invokes a method on the the given object.
    `boolean` | `isReadOnly(ELContext context, Object base, Object property)`
    `void` | `setValue(ELContext context, Object base, Object property, Object value)`

    - ### Methods inherited from class javax.el.ELResolver

      `convertToType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamELResolverImpl

          public StreamELResolverImpl()

  - ### Method Detail

    - #### getValue

          public Object getValue(ELContext context,
                        Object base,
                        Object property)

      Specified by:
        `getValue` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be returned
      Returns:
        the value of the provided property

    - #### getType

          public Class<?> getType(ELContext context,
                         Object base,
                         Object property)

      Specified by:
        `getType` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose type is to be returned
      Returns:
        the type of the provided property

    - #### setValue

          public void setValue(ELContext context,
                      Object base,
                      Object property,
                      Object value)

      Specified by:
        `setValue` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be set
        `value` - The value to set the property to

    - #### isReadOnly

          public boolean isReadOnly(ELContext context,
                           Object base,
                           Object property)

      Specified by:
        `isReadOnly` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property to be checked for read only status
      Returns:
        `true` if the identified property is read only, otherwise `false`

    - #### getFeatureDescriptors

          public Iterator<FeatureDescriptor> getFeatureDescriptors(ELContext context,
                                                          Object base)

      Specified by:
        `getFeatureDescriptors` in class `ELResolver`

    - #### getCommonPropertyType

          public Class<?> getCommonPropertyType(ELContext context,
                                       Object base)

      Specified by:
        `getCommonPropertyType` in class `ELResolver`

    - #### invoke

          public Object invoke(ELContext context,
                      Object base,
                      Object method,
                      Class<?>[] paramTypes,
                      Object[] params)

      Description copied from class: `javax.el.ELResolver`
      Invokes a method on the the given object. This default implementation always returns `null`.
      Overrides:
        `invoke` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the method is to be found
        `method` - The method to invoke
        `paramTypes` - The types of the parameters of the method to invoke
        `params` - The parameters with which to invoke the method
      Returns:
        Always `null`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.